Jump to content

Localized DLC availability for Linux on Gog


Recommended Posts

Hello,

1.11.1 has been released for quite some time now, and both linux version of vanilla and DLC are available in English language.

However, regarding the localized versions (any non-English version) vanilla is 1.11.1 but DLCs are still 1.11.0.

The problem is that 1.11.0 DLCs cannot be installed with the 1.11.1 game. And Gog do not let you choose version, so if you installed latest vanilla version you have no possibility to install the DLC (other than going for english version)

Since localized linux Gog DLC version of the game is pretty much niche, I would guess that this is just an oversight on the KSP team's part, and I'd be really thankfull if it could be fixed :)

Xavier

PS to moderator: I'm not entirely sure I'm posting in the right place, please tell me if I'm not...

Link to post
Share on other sites
  • 1 month later...

Hi again,

I hate to insist, but the problem has never been fixed and is still on-going, now with version 1.11.2.

It's not just a matter of not having the latest version, it's a matter of having paid for DLCs that I cannot install at all. They are not compatible with the published game version, and GOG does not allow rolling back to a previous version.

Is this forum actually read by KSP staff member or other people officially related to Squad and/or Private Division? Would I have better chance for help if I asked in some other place?

Thanks again,

Xavier

Link to post
Share on other sites
On 4/11/2021 at 7:56 PM, Xavier T said:

Is this forum actually read by KSP staff member or other people officially related to Squad and/or Private Division? Would I have better chance for help if I asked in some other place?

I have seen no indication that Squad has any paid person checking for support requests on this forum, after @sal_vager  left the job a few years ago.  Within the forums, this would be the best place because the technical problems are not hidden by posts other topics --- or would have been the best place while @sal_vager was reading.

If I understand your description, GOG currently provides :
KSP main game, version 1.11.2 only
KSP main-game language-packs, version 1.11.2
KSP DLCs in English for KSP version 1.11.1  (which also work with KSP 1.11.2)
KSP DLCs in other languages for KSP version 1.11.0 only

I think @ManeTI at Squad might understand what went wrong and eventually solve the problem.   Squad has a bug-tracker  where you (or anyone else on the forum sees what is on GOG)  could report this problem, to let them know to fix it for future customers. 

I applied the French language-pack to KSP 1.11.2, and then applied the Breaking Ground DLC for the English language version of KSP 1.11.1.  The game works, but the Breaking Ground parts are described in English.   That looks like a way for @Xavier T to get the game and DLCs running, at least.

Maybe @ManeTI can suggest a method to get you the missing file with translations to your language, in a way that respects copyright.

Edited by OHara
had misunderstood the versions available
Link to post
Share on other sites
  • 3 weeks later...

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...